import { EntitySubscriberInterface, InsertEvent } from 'typeorm';
import { SessionInput } from '../core-entities/session-input.entity';
export declare class SessionInputSubscriber implements EntitySubscriberInterface<SessionInput> {
    private readonly logger;
    listenTo(): typeof SessionInput;
    beforeInsert(event: InsertEvent<SessionInput>): Promise<void>;
}
